<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create person form</title>
    <link rel="stylesheet" th:href="@{/styles.css}" />
</head>
<body>
    <h1>Create person form</h1>
    <form method="POST" th:action="@{/create}" th:object="${person}">
        <h1>Create person</h1>
        <div th:if="${#fields.hasErrors()}">
          <span class="validationError">
             Please correct the problems below and resubmit.
          </span>
        </div>
        <label for="name">Name:</label>
        <input type="text" th:field="*{name}"/>

        <span class="validationError"
            th:if="${#fields.hasErrors('name')}"
            th:errors="*{name}">Name Error
        </span>
        <br/>

        <label for="age">Age:</label>
        <input type="text" th:field="*{age}"/>

        <span class="validationError"
              th:if="${#fields.hasErrors('age')}"
              th:errors="*{age}">Age Error
        </span>
        <br/>

        <label for="zipCode">ZIP code:</label>
        <input type="text" th:field="*{zipCode}"/>

        <span class="validationError"
              th:if="${#fields.hasErrors('zipCode')}"
              th:errors="*{zipCode}">ZIP code Error
        </span>
        <br/>

        <label for="salary">Salary:</label>
        <input type="number" th:field="*{salary}"/>

        <span class="validationError"
              th:if="${#fields.hasErrors('salary')}"
              th:errors="*{salary}">Salary Error
        </span>
        <br/>

        <input type="checkbox" th:field="*{acceptTerms}"/>
        Accept terms and conditions
        <span class="validationError" th:if="${#fields.hasErrors('acceptTerms')}" th:errors="*{acceptTerms}"></span>

        <br/>
        <input type="submit" value="Submit"/>
    </form>


</body>
</html>